ghc-lib-parser-9.14.1.20251220: The GHC API, decoupled from GHC versions

Safe Haskell | Ignore
Language | GHC2021

GHC.Iface.Ext.Fields

Contents

- Reading
- Writing
- Deletion

Synopsis

- newtype ExtensibleFields = ExtensibleFields {
  - getExtensibleFields :: Map FieldName BinData
  }
- type FieldName = String
- emptyExtensibleFields :: ExtensibleFields
- readField :: Binary a => FieldName -> ExtensibleFields -> IO (Maybe a)
- readFieldWith :: FieldName -> (ReadBinHandle -> IO a) -> ExtensibleFields -> IO (Maybe a)
- writeField :: Binary a => FieldName -> a -> ExtensibleFields -> IO ExtensibleFields
- writeFieldWith :: FieldName -> (WriteBinHandle -> IO ()) -> ExtensibleFields -> IO ExtensibleFields
- deleteField :: FieldName -> ExtensibleFields -> ExtensibleFields

# Documentation

newtype ExtensibleFields #

Constructors

ExtensibleFields |
Fields getExtensibleFields :: Map FieldName BinData

#### Instances

Instances details

NFData ExtensibleFields # |
Instance details Defined in GHC.Iface.Ext.Fields Methods rnf :: ExtensibleFields -> () #
Binary ExtensibleFields # |
Instance details Defined in GHC.Iface.Ext.Fields Methods put_ :: WriteBinHandle -> ExtensibleFields -> IO () # put :: WriteBinHandle -> ExtensibleFields -> IO (Bin ExtensibleFields) # get :: ReadBinHandle -> IO ExtensibleFields #

type FieldName = String #

emptyExtensibleFields :: ExtensibleFields #

# Reading

readField :: Binary a => FieldName -> ExtensibleFields -> IO (Maybe a) #

Reading

readFieldWith :: FieldName -> (ReadBinHandle -> IO a) -> ExtensibleFields -> IO (Maybe a) #

# Writing

writeField :: Binary a => FieldName -> a -> ExtensibleFields -> IO ExtensibleFields #

Writing

writeFieldWith :: FieldName -> (WriteBinHandle -> IO ()) -> ExtensibleFields -> IO ExtensibleFields #

# Deletion

deleteField :: FieldName -> ExtensibleFields -> ExtensibleFields #